/**
 * @file
 *
 * Drupal behavior for the edit_ui toolbar.
 */

(function (Drupal, $) {
  "use strict";

  /**
   * Drupal edit_ui toolbar behavior.
   */
  Drupal.behaviors.editUiToolbar = {
    attach: function(context, settings) {
      if (!this.isInitialized) {
        this.isInitialized = true;

        // Init toolbar model.
        var model = Drupal.editUiToolbar.models.toolbarModel = new Drupal.editUiToolbar.ToolbarModel();

        // Init toolbar view.
        Drupal.editUiToolbar.views.toolbarVisualView = new Drupal.editUiToolbar.ToolbarVisualView({
          el: document.getElementById('edit-ui__toolbar'),
          model: model
        });

        // Init menu view.
        Drupal.editUiToolbar.views.menuVisualView = new Drupal.editUiToolbar.MenuVisualView({
          el: $('.edit-ui__toolbar-tab .toolbar-item'),
          model: model
        });

        // Init body view.
        Drupal.editUiToolbar.views.bodyVisualView = new Drupal.editUiToolbar.BodyVisualView({
          model: model
        });
      }
    }
  };

  /**
   * edit_ui toolbar Backbone objects.
   */
  Drupal.editUiToolbar = {
    // A hash of View instances.
    views: {},
    // A hash of Model instances.
    models: {}
  };
})(Drupal, jQuery);
